commit 126fea969313da57c60bd2631fe36eafd83eb12c
Author: Alex <azirbel@andrew.cmu.edu>
Date:   Sun Mar 31 15:22:09 2013 -0400

    Fixed existing doxygen; preparing to add more.

diff --git a/scout/Doxyfile b/scout/Doxyfile
index 9ad567a..95d1b04 100644
--- a/scout/Doxyfile
+++ b/scout/Doxyfile
@@ -35,7 +35,7 @@ PROJECT_NUMBER         = 1.0
 
 # Using the PROJECT_BRIEF tag one can provide an optional one line description for a project that appears at the top of each page and should give viewer a quick idea about the purpose of the project. Keep the description short.
 
-PROJECT_BRIEF          = "The Colony Scout swarm robotics platform"
+PROJECT_BRIEF          = "The Colony Scout Operating System"
 
 # With the PROJECT_LOGO tag one can specify an logo or icon that is
 # included in the documentation. The maximum height of the logo should not
diff --git a/scout/buttons/src/buttons.cpp b/scout/buttons/src/buttons.cpp
index 3e1326a..a1cb64f 100644
--- a/scout/buttons/src/buttons.cpp
+++ b/scout/buttons/src/buttons.cpp
@@ -27,24 +27,20 @@
  * @file buttons.cpp
  * @brief Contains code to control the buttons.
  *
- * Implementation of functions for button use.
- *
  * @author Colony Project, CMU Robotics Club
  * @author Priyanka Deo
  * @author Alex Zirbel
- **/
-
-#include "ros/ros.h"
-#include "buttons.h"
-#include <cstdlib>
-
-/**
+ *
  * @defgroup buttons Buttons
  * @brief Functions for using the buttons
  *
  * @{
  **/
 
+#include "ros/ros.h"
+#include "buttons.h"
+#include <cstdlib>
+
 /* Button state variables
  */
 static int button1_pressed; /**< Whether or not button 1 is pressed. */
diff --git a/scout/buttons/src/buttons.h b/scout/buttons/src/buttons.h
index dabb30d..9272290 100644
--- a/scout/buttons/src/buttons.h
+++ b/scout/buttons/src/buttons.h
@@ -43,7 +43,6 @@
 #define QUEUE_SIZE 10
 #define BUTTON_PRESSED 0x1
 
-/** @brief Initialize the buttons module and driver. **/
 int main(int argc, char **argv);
 
 #endif
diff --git a/scout/encoders/src/encoders.cpp b/scout/encoders/src/encoders.cpp
index 8164e9b..9e4a22e 100644
--- a/scout/encoders/src/encoders.cpp
+++ b/scout/encoders/src/encoders.cpp
@@ -32,17 +32,15 @@
  * @author Colony Project, CMU Robotics Club
  * @author Alex Zirbel
  * @author Tom Mullins
- **/
 
-#include <ros/ros.h>
-#include "encoders.h"
-
-/**
  * @defgroup encoders Encoders
  * @brief Functions for using the encoders
  *
  * @{
- */
+ **/
+
+#include <ros/ros.h>
+#include "encoders.h"
 
 /* Encoder instances */
 /* @todo make sure these are the correct numbers */
diff --git a/scout/encoders/src/encoders.h b/scout/encoders/src/encoders.h
index 591a75f..7ffd0f2 100644
--- a/scout/encoders/src/encoders.h
+++ b/scout/encoders/src/encoders.h
@@ -48,10 +48,8 @@ class Encoder
         std::fstream fticks; /**< The file in sysfs containing tick count */
 };
 
-/** @brief Initialize the encoders module and driver **/
 int main(int argc, char **argv);
 
-/** @brief Responds to service to query encoder data **/
 bool handle_encoders_query(messages::query_encoders::Request  &req,
                            messages::query_encoders::Response &res);
 
diff --git a/scout/libscout/src/CliffsensorControl.cpp b/scout/libscout/src/CliffsensorControl.cpp
index 18d076c..0aed628 100644
--- a/scout/libscout/src/CliffsensorControl.cpp
+++ b/scout/libscout/src/CliffsensorControl.cpp
@@ -39,13 +39,6 @@
 #include <cstdlib>
 
 /**
- * @defgroup cliffsensor Cliffsensor
- * @brief Functions for using the cliffsensors
- *
- * @{
- **/
-
-/**
  * @brief Initializes the Cliffsensor module in libscout.
  *
  * This is the main function for the cliffsensors node. It is run when the node
@@ -114,5 +107,3 @@ bool CliffsensorControl::check_is_cliff()
 {
     return (front_raw || left_raw || right_raw);
 }
-
-/** @} **/
diff --git a/scout/motors/src/motors.cpp b/scout/motors/src/motors.cpp
index d3086ac..b781192 100644
--- a/scout/motors/src/motors.cpp
+++ b/scout/motors/src/motors.cpp
@@ -32,6 +32,11 @@
  * @author Colony Project, CMU Robotics Club
  * @author Ben Wasserman
  * @author Tom Mullins
+
+ * @defgroup motors Motors
+ * @brief Functions for using the motors
+ *
+ * @{
  */
 
 #include <ros/ros.h>
@@ -41,13 +46,6 @@
 using namespace std;
 
 /**
- * @defgroup motors Motors
- * @brief Functions for using the motors
- *
- * @{
- */
-
-/**
  * @brief Motor constructor
  *
  * Opens device file and reads initial PWM value
diff --git a/scout/motors/src/motors.h b/scout/motors/src/motors.h
index 6ef0a46..7ffa9e7 100644
--- a/scout/motors/src/motors.h
+++ b/scout/motors/src/motors.h
@@ -45,13 +45,10 @@
 
 #define QUEUE_SIZE 10
 
-/** @brief Initialize the motors module and driver. **/
 int main(int argc, char **argv);
 
-/** @brief Responds to topic to set motor speeds and configs. **/
 void motors_set(const messages::set_motors::ConstPtr& msg);
 
-/** @brief Responds to service to query motor speeds. **/
 bool motors_query(messages::query_motors::Request &req,
                   messages::query_motors::Response &res);
 
diff --git a/scout/power/src/power.cpp b/scout/power/src/power.cpp
index 4876ec2..873d15e 100644
--- a/scout/power/src/power.cpp
+++ b/scout/power/src/power.cpp
@@ -31,24 +31,23 @@
  *
  * @author Colony Project, CMU Robotics Club
  * @author Jeff Cooper
- **/
-
-#include "ros/ros.h"
-#include "power.h"
-#include <cstdlib>
 
-/**
  * @defgroup power Power
  * @brief Functions for monitoring and regulating the power systems
  *
  * @{
  **/
 
+#include "ros/ros.h"
+#include "power.h"
+#include <cstdlib>
+
 /* Power system state variables
  * updated by the AVR, used to respond to
  * power queries and send messages
  *
  */
+
 /** @todo Fix types: static */
 
 /** @TODO figure out if we can get things like the current draw from the AVR. */
diff --git a/scout/power/src/power.h b/scout/power/src/power.h
index 5396826..cdb0ce6 100644
--- a/scout/power/src/power.h
+++ b/scout/power/src/power.h
@@ -39,13 +39,10 @@
 
 #include <messages/query_power.h>
 
-/** @brief Initialize the power module and driver. **/
 int main(int argc, char **argv);
 
-/** @brief Responds to service to query power informatio **/
 bool power_query(messages::query_power::Request &req,
                  messages::query_power::Response &res);
 
-/** @breif Function that sends the power_state_changed message **/
 void send_power_state_changed();
 #endif