Index: trunk/code/projects/colonet/ColonetServer/Log.cpp
===================================================================
--- trunk/code/projects/colonet/ColonetServer/Log.cpp	(revision 140)
+++ trunk/code/projects/colonet/ColonetServer/Log.cpp	(revision 141)
@@ -1,11 +1,10 @@
 /**
- * @file Logging.cpp
+ * @file Log.cpp
  *
  * @brief This file contains the code to do logging for Colonet
  * 
  * @author Jason Knichel
  *
- * @TODO: change this file to follow the coding style
  */
 
 #include <time.h>
@@ -27,8 +26,8 @@
     return;
   }
 
-  logFile = fopen(filename, "a"); //open file for appending
-  if (!logFile) {
+  log_file = fopen(filename, "a"); //open file for appending
+  if (!log_file) {
     fprintf(stderr, "Error opening %s as log file.\n", filename);
     return;
   }
@@ -41,8 +40,8 @@
  * @brief Destructor for the Log class
  */
 Log::~Log() {
-  if (!logFile)
-    fclose(logFile);
+  if (!log_file)
+    fclose(log_file);
 }
 
 /**
@@ -51,13 +50,13 @@
  * @return A struct tm that represents the current time
  */
 struct tm Log::get_current_time() {
-  struct tm currTime;
-  memset(&currTime, 0, sizeof(struct tm));
+  struct tm current_time;
+  memset(&current_time, 0, sizeof(struct tm));
   
   time_t t = time(NULL);
-  localtime_r(&t, &currTime);
+  localtime_r(&t, &current_time);
   
-  return currTime;  
+  return current_time;  
 }
 
 /**
@@ -69,7 +68,7 @@
  * @return 0 on success, negative error code on error
  */
 int Log::log_string(int type, char * message) {
-  if (!logFile) {
+  if (!log_file) {
     fprintf(stderr, "Tried to log a message but the file pointer was null.\n");
     return -1;
   }
@@ -83,25 +82,25 @@
   static char * connect = "Client Connecting";
   static char * disconnect = "Client Disconnecting";
   static char * error = "Error";
-  static char * logGenMessage = "Generic Message";
+  static char * log_generic_message = "Generic Message";
 
-  char * messageType;
+  char * message_type;
 
   switch(type) {
   case LOG_TYPE_START_LOG:
-    messageType = start_log;
+    message_type = start_log;
     break;
   case LOG_TYPE_CONNECT:
-    messageType = connect;
+    message_type = connect;
     break;
   case LOG_TYPE_DISCONNECT:
-    messageType = disconnect;
+    message_type = disconnect;
     break;
   case LOG_TYPE_ERROR:
-    messageType = error;
+    message_type = error;
     break;
   case LOG_TYPE_MESSAGE:
-    messageType = logGenMessage;
+    message_type = log_generic_message;
     break;
   default:
     fprintf(stderr, "Tried to log a message with an invalid type.\n");
@@ -108,22 +107,36 @@
     return -1;
   }
 
-  struct tm currTime = get_current_time();
+  struct tm current_time = get_current_time();
   
   char buffer[LOG_MAX_TIME_LENGTH];
-  asctime_r(&currTime, buffer);
+  asctime_r(&current_time, buffer);
   int len = strlen(buffer);
   buffer[len-1] = '\0'; //remove the newline that is put at the end by asctime_r
-  fprintf(logFile, "%s %*s   %s\n", buffer, LOG_MAX_TYPE_LENGTH, messageType, message);
-  fflush(logFile);
+  fprintf(log_file, "%s %*s   %s\n", buffer, LOG_MAX_TYPE_LENGTH, message_type, message);
+  fflush(log_file);
 
   return 0;
 }
 
+/**
+ * @brief An easier way to log an error message
+ *
+ * @param message The message to log as an error
+ *
+ * @return 0 on success, negative error code on error
+ */
 int Log::log_error(char * message) {
   return log_string(LOG_TYPE_ERROR, message);
 }
 
+/**
+ * @brief An easier way to log a normal message
+ *
+ * @param message The message to log as a normal message
+ * 
+ * @return 0 on success, negative error code on error
+ */
 int Log::log_message(char *  message) {
   return log_string(LOG_TYPE_MESSAGE, message);
 }
Index: trunk/code/projects/colonet/ColonetServer/includes/Log.h
===================================================================
--- trunk/code/projects/colonet/ColonetServer/includes/Log.h	(revision 140)
+++ trunk/code/projects/colonet/ColonetServer/includes/Log.h	(revision 141)
@@ -1,11 +1,12 @@
 /**
+ * @file Log.h
  *
- *  @author Jason Knichel
+ * @author Jason Knichel
  *
  */
 
-#ifndef LOGGING_H
-#define LOGGING_H
+#ifndef LOG_H
+#define LOG_H
 
 #include <time.h>
 #include <stdio.h>
@@ -31,7 +32,7 @@
 private:
   struct tm get_current_time();
 
-  FILE * logFile;
+  FILE * log_file;
 };
 
 #endif