Index: xbee_8h-source.html
===================================================================
--- xbee_8h-source.html	(revision 191)
+++ xbee_8h-source.html	(revision 192)
@@ -18,36 +18,47 @@
     <li><a href="globals.html"><span>Globals</span></a></li>
   </ul></div>
 <h1>xbee.h</h1><a href="xbee_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
-<a name="l00022"></a>00022 <span class="comment">/*Definitions*/</span>
-<a name="l00024"></a><a class="code" href="group__xbee.html#ge6bb9bb274d6750f954762454807a5a7">00024</a> <span class="preprocessor">#define XBEE_PAN_DEFAULT 0xFFFF</span>
-<a name="l00025"></a>00025 <span class="preprocessor"></span>
-<a name="l00026"></a><a class="code" href="group__xbee.html#g35f8b9d8e01e788f1e29928cba29f215">00026</a> <span class="preprocessor">#define XBEE_CHANNEL_DEFAULT 0</span>
-<a name="l00027"></a>00027 <span class="preprocessor"></span>
-<a name="l00028"></a><a class="code" href="group__xbee.html#g93bbd21f7965e1697350f950cedff5c4">00028</a> <span class="preprocessor">#define XBEE_BROADCAST 0xFFFF</span>
-<a name="l00029"></a>00029 <span class="preprocessor"></span>
-<a name="l00030"></a><a class="code" href="group__xbee.html#gbca7356c2b8183fd41b5ca9a82dd962b">00030</a> <span class="preprocessor">#define XBEE_OPTIONS_NONE 0x00</span>
-<a name="l00031"></a>00031 <span class="preprocessor"></span>
-<a name="l00032"></a><a class="code" href="group__xbee.html#gcf9509013302590dca5ce3db63c64609">00032</a> <span class="preprocessor">#define XBEE_OPTIONS_DISABLE_RESPONSE 0x01</span>
-<a name="l00033"></a>00033 <span class="preprocessor"></span>
-<a name="l00034"></a><a class="code" href="group__xbee.html#g57382f888360b5b19f0de3b6f1f7c5a3">00034</a> <span class="preprocessor">#define XBEE_OPTIONS_BROADCAST_ALL_PANS 0x04</span>
-<a name="l00035"></a>00035 <span class="preprocessor"></span>
-<a name="l00036"></a><a class="code" href="group__xbee.html#g7840d8b64c8bec12d8b8d32e845a638a">00036</a> <span class="preprocessor">#define XBEE_TX_STATUS 0x89</span>
-<a name="l00037"></a>00037 <span class="preprocessor"></span>
-<a name="l00038"></a><a class="code" href="group__xbee.html#gc2b1262a3a1eb4a9f7ead366af71c32c">00038</a> <span class="preprocessor">#define XBEE_RX 0x81</span>
+<a name="l00013"></a>00013 <span class="preprocessor">#ifndef XBEE_H</span>
+<a name="l00014"></a>00014 <span class="preprocessor"></span><span class="preprocessor">#define XBEE_H</span>
+<a name="l00015"></a>00015 <span class="preprocessor"></span>
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef ROBOT</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#ifndef XBEE_PORT</span>
+<a name="l00022"></a><a class="code" href="xbee_8h.html#0ddad85671ebdb108b228835312d4f62">00022</a> <span class="preprocessor"></span><span class="preprocessor">#define XBEE_PORT "/dev/ttyUSB1"</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00024"></a>00024 <span class="preprocessor"></span><span class="preprocessor">#define XBEE_PORT2 "/dev/ttyUSB0"</span>
+<a name="l00025"></a>00025 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00026"></a>00026 <span class="preprocessor"></span>
+<a name="l00036"></a>00036 <span class="comment">/*Definitions*/</span>
+<a name="l00038"></a><a class="code" href="group__xbee.html#ge6bb9bb274d6750f954762454807a5a7">00038</a> <span class="preprocessor">#define XBEE_PAN_DEFAULT 0xFFFF</span>
 <a name="l00039"></a>00039 <span class="preprocessor"></span>
-<a name="l00041"></a>00041 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g334a723b79eccec83b17e25cde2e10f1">xbee_lib_init</a>(<span class="keywordtype">void</span>);
-<a name="l00043"></a>00043 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g9334ac71dca1ddd697b1a35a361ade6a">xbee_terminate</a>(<span class="keywordtype">void</span>);
-<a name="l00045"></a>00045 <span class="keywordtype">int</span> <a class="code" href="group__xbee.html#g00fbdd9d849171588df736f8b608589d">xbee_get_packet</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* packet);
-<a name="l00047"></a>00047 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g3a3b8ce040002ab2b1a0923950b2f3c4">xbee_send_packet</a>(<span class="keywordtype">char</span>* packet, <span class="keywordtype">int</span> len, <span class="keywordtype">int</span> dest,
-<a name="l00048"></a>00048         <span class="keywordtype">char</span> options, <span class="keywordtype">char</span> frame);
-<a name="l00050"></a>00050 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g832f07915e1ffa8afefcd378deead1cd">xbee_set_pan_id</a>(<span class="keywordtype">int</span> <span class="keywordtype">id</span>);
-<a name="l00052"></a>00052 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="group__xbee.html#g7755cd8db87703c9e9943153660b8052">xbee_get_pan_id</a>(<span class="keywordtype">void</span>);
-<a name="l00054"></a>00054 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g33f2b13a8f46ee08f14bce90160a5623">xbee_set_channel</a>(<span class="keywordtype">int</span> channel);
-<a name="l00056"></a>00056 <span class="keywordtype">int</span> <a class="code" href="group__xbee.html#g133706db81f69ba0a3c169b7a3f42d2a">xbee_get_channel</a>(<span class="keywordtype">void</span>);
-<a name="l00058"></a>00058 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="group__xbee.html#g7c53e8a8492494a61ca306875d633309">xbee_get_address</a>(<span class="keywordtype">void</span>);
-<a name="l00059"></a>00059  <span class="comment">//end defgroup</span>
-<a name="l00061"></a>00061 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Mon Sep 24 14:12:30 2007 for libwireless by&nbsp;
+<a name="l00040"></a><a class="code" href="group__xbee.html#g35f8b9d8e01e788f1e29928cba29f215">00040</a> <span class="preprocessor">#define XBEE_CHANNEL_DEFAULT 0</span>
+<a name="l00041"></a>00041 <span class="preprocessor"></span>
+<a name="l00042"></a><a class="code" href="group__xbee.html#g93bbd21f7965e1697350f950cedff5c4">00042</a> <span class="preprocessor">#define XBEE_BROADCAST 0xFFFF</span>
+<a name="l00043"></a>00043 <span class="preprocessor"></span>
+<a name="l00044"></a><a class="code" href="group__xbee.html#gbca7356c2b8183fd41b5ca9a82dd962b">00044</a> <span class="preprocessor">#define XBEE_OPTIONS_NONE 0x00</span>
+<a name="l00045"></a>00045 <span class="preprocessor"></span>
+<a name="l00046"></a><a class="code" href="group__xbee.html#gcf9509013302590dca5ce3db63c64609">00046</a> <span class="preprocessor">#define XBEE_OPTIONS_DISABLE_RESPONSE 0x01</span>
+<a name="l00047"></a>00047 <span class="preprocessor"></span>
+<a name="l00048"></a><a class="code" href="group__xbee.html#g57382f888360b5b19f0de3b6f1f7c5a3">00048</a> <span class="preprocessor">#define XBEE_OPTIONS_BROADCAST_ALL_PANS 0x04</span>
+<a name="l00049"></a>00049 <span class="preprocessor"></span>
+<a name="l00050"></a><a class="code" href="group__xbee.html#g7840d8b64c8bec12d8b8d32e845a638a">00050</a> <span class="preprocessor">#define XBEE_TX_STATUS 0x89</span>
+<a name="l00051"></a>00051 <span class="preprocessor"></span>
+<a name="l00052"></a><a class="code" href="group__xbee.html#gc2b1262a3a1eb4a9f7ead366af71c32c">00052</a> <span class="preprocessor">#define XBEE_RX 0x81</span>
+<a name="l00053"></a>00053 <span class="preprocessor"></span>
+<a name="l00055"></a>00055 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g334a723b79eccec83b17e25cde2e10f1">xbee_lib_init</a>(<span class="keywordtype">void</span>);
+<a name="l00057"></a>00057 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g9334ac71dca1ddd697b1a35a361ade6a">xbee_terminate</a>(<span class="keywordtype">void</span>);
+<a name="l00059"></a>00059 <span class="keywordtype">int</span> <a class="code" href="group__xbee.html#g00fbdd9d849171588df736f8b608589d">xbee_get_packet</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* packet);
+<a name="l00061"></a>00061 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g3a3b8ce040002ab2b1a0923950b2f3c4">xbee_send_packet</a>(<span class="keywordtype">char</span>* packet, <span class="keywordtype">int</span> len, <span class="keywordtype">int</span> dest,
+<a name="l00062"></a>00062         <span class="keywordtype">char</span> options, <span class="keywordtype">char</span> frame);
+<a name="l00064"></a>00064 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g832f07915e1ffa8afefcd378deead1cd">xbee_set_pan_id</a>(<span class="keywordtype">int</span> <span class="keywordtype">id</span>);
+<a name="l00066"></a>00066 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="group__xbee.html#g7755cd8db87703c9e9943153660b8052">xbee_get_pan_id</a>(<span class="keywordtype">void</span>);
+<a name="l00068"></a>00068 <span class="keywordtype">void</span> <a class="code" href="group__xbee.html#g33f2b13a8f46ee08f14bce90160a5623">xbee_set_channel</a>(<span class="keywordtype">int</span> channel);
+<a name="l00070"></a>00070 <span class="keywordtype">int</span> <a class="code" href="group__xbee.html#g133706db81f69ba0a3c169b7a3f42d2a">xbee_get_channel</a>(<span class="keywordtype">void</span>);
+<a name="l00072"></a>00072 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="group__xbee.html#g7c53e8a8492494a61ca306875d633309">xbee_get_address</a>(<span class="keywordtype">void</span>);
+<a name="l00073"></a>00073  <span class="comment">//end defgroup</span>
+<a name="l00075"></a>00075 
+<a name="l00076"></a>00076 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="align: right;"><small>Generated on Wed Oct 31 17:54:43 2007 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
 </body>