Index: queue_8h-source.html
===================================================================
--- queue_8h-source.html	(revision 191)
+++ queue_8h-source.html	(revision 192)
@@ -18,24 +18,28 @@
     <li><a href="globals.html"><span>Globals</span></a></li>
   </ul></div>
 <h1>queue.h</h1><a href="queue_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
-<a name="l00010"></a>00010 <span class="keyword">struct </span><a class="code" href="structnode__def.html">node_def</a>;
-<a name="l00011"></a>00011 
-<a name="l00025"></a><a class="code" href="structQueue.html">00025</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
-<a name="l00026"></a>00026 <span class="keyword"></span>{
-<a name="l00030"></a><a class="code" href="structQueue.html#773cee3afdf5fbe12a225c48123b1e39">00030</a>         <span class="keyword">struct </span><a class="code" href="structnode__def.html">node_def</a>* head;
-<a name="l00034"></a><a class="code" href="structQueue.html#85703d406e92d3aa92c3e9dbfd0e3007">00034</a>         <span class="keyword">struct </span><a class="code" href="structnode__def.html">node_def</a>* tail;
-<a name="l00038"></a><a class="code" href="structQueue.html#c7d9701d244e3ba255ef8556e0562dc6">00038</a>         <span class="keywordtype">int</span> size;
-<a name="l00039"></a>00039 } <a class="code" href="structQueue.html">Queue</a>;
-<a name="l00040"></a>00040 
-<a name="l00042"></a>00042 <a class="code" href="structQueue.html">Queue</a>* <a class="code" href="group__queue.html#gd79af6a8d562cb911d93f35b8825e148">queue_create</a>(<span class="keywordtype">void</span>);
-<a name="l00044"></a>00044 <span class="keywordtype">void</span> <a class="code" href="group__queue.html#gd21ee75924298937673e2b8d66665466">queue_destroy</a>(<a class="code" href="structQueue.html">Queue</a>* q);
-<a name="l00046"></a>00046 <span class="keywordtype">void</span> <a class="code" href="group__queue.html#gcdb01f4d0c861c4981829920d3973b77">queue_add</a>(<a class="code" href="structQueue.html">Queue</a>* q, <span class="keywordtype">void</span>* item);
-<a name="l00048"></a>00048 <span class="keywordtype">void</span>* <a class="code" href="group__queue.html#gef91e5f119b77101f6c2e23eb1803059">queue_remove</a>(<a class="code" href="structQueue.html">Queue</a>* q);
-<a name="l00050"></a>00050 <span class="keywordtype">void</span> <a class="code" href="group__queue.html#gbfe7f6f65eaffa1ee166811f259807e4">queue_remove_all</a>(<a class="code" href="structQueue.html">Queue</a>* q, <span class="keywordtype">void</span>* item);
-<a name="l00052"></a>00052 <span class="keywordtype">int</span> <a class="code" href="group__queue.html#g97ae0b085c41d49c8a24e1e506967f9b">queue_size</a>(<a class="code" href="structQueue.html">Queue</a>* q);
-<a name="l00054"></a>00054 <span class="keywordtype">int</span> <a class="code" href="group__queue.html#ga67a7f9940e9bbf21320a6f41e60998e">queue_is_empty</a>(<a class="code" href="structQueue.html">Queue</a>* q);
-<a name="l00055"></a>00055 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Mon Sep 24 14:12:30 2007 for libwireless by&nbsp;
+<a name="l00010"></a>00010 <span class="preprocessor">#ifndef WIRELESS_QUEUE_H</span>
+<a name="l00011"></a>00011 <span class="preprocessor"></span><span class="preprocessor">#define WIRELESS_QUEUE_H</span>
+<a name="l00012"></a>00012 <span class="preprocessor"></span>
+<a name="l00013"></a>00013 <span class="keyword">struct </span><a class="code" href="structnode__def.html">node_def</a>;
+<a name="l00014"></a>00014 
+<a name="l00028"></a><a class="code" href="structQueue.html">00028</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
+<a name="l00029"></a>00029 <span class="keyword"></span>{
+<a name="l00033"></a><a class="code" href="structQueue.html#773cee3afdf5fbe12a225c48123b1e39">00033</a>         <span class="keyword">struct </span><a class="code" href="structnode__def.html">node_def</a>* head;
+<a name="l00037"></a><a class="code" href="structQueue.html#85703d406e92d3aa92c3e9dbfd0e3007">00037</a>         <span class="keyword">struct </span><a class="code" href="structnode__def.html">node_def</a>* tail;
+<a name="l00041"></a><a class="code" href="structQueue.html#c7d9701d244e3ba255ef8556e0562dc6">00041</a>         <span class="keywordtype">int</span> size;
+<a name="l00042"></a>00042 } <a class="code" href="structQueue.html">Queue</a>;
+<a name="l00043"></a>00043 
+<a name="l00045"></a>00045 <a class="code" href="structQueue.html">Queue</a>* <a class="code" href="group__queue.html#gd79af6a8d562cb911d93f35b8825e148">queue_create</a>(<span class="keywordtype">void</span>);
+<a name="l00047"></a>00047 <span class="keywordtype">void</span> <a class="code" href="group__queue.html#gd21ee75924298937673e2b8d66665466">queue_destroy</a>(<a class="code" href="structQueue.html">Queue</a>* q);
+<a name="l00049"></a>00049 <span class="keywordtype">void</span> <a class="code" href="group__queue.html#gcdb01f4d0c861c4981829920d3973b77">queue_add</a>(<a class="code" href="structQueue.html">Queue</a>* q, <span class="keywordtype">void</span>* item);
+<a name="l00051"></a>00051 <span class="keywordtype">void</span>* <a class="code" href="group__queue.html#gef91e5f119b77101f6c2e23eb1803059">queue_remove</a>(<a class="code" href="structQueue.html">Queue</a>* q);
+<a name="l00053"></a>00053 <span class="keywordtype">void</span> <a class="code" href="group__queue.html#gbfe7f6f65eaffa1ee166811f259807e4">queue_remove_all</a>(<a class="code" href="structQueue.html">Queue</a>* q, <span class="keywordtype">void</span>* item);
+<a name="l00055"></a>00055 <span class="keywordtype">int</span> <a class="code" href="group__queue.html#g97ae0b085c41d49c8a24e1e506967f9b">queue_size</a>(<a class="code" href="structQueue.html">Queue</a>* q);
+<a name="l00057"></a>00057 <span class="keywordtype">int</span> <a class="code" href="group__queue.html#ga67a7f9940e9bbf21320a6f41e60998e">queue_is_empty</a>(<a class="code" href="structQueue.html">Queue</a>* q);
+<a name="l00058"></a>00058 
+<a name="l00062"></a>00062 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="align: right;"><small>Generated on Wed Oct 31 17:54:43 2007 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
 </body>