Index: sensor__matrix_8h-source.html
===================================================================
--- sensor__matrix_8h-source.html	(revision 191)
+++ sensor__matrix_8h-source.html	(revision 192)
@@ -18,27 +18,33 @@
     <li><a href="globals.html"><span>Globals</span></a></li>
   </ul></div>
 <h1>sensor_matrix.h</h1><a href="sensor__matrix_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
-<a name="l00025"></a><a class="code" href="structSensorMatrix.html">00025</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
-<a name="l00026"></a>00026 <span class="keyword"></span>{
-<a name="l00030"></a><a class="code" href="structSensorMatrix.html#0e5b475c074fee8b4a88f05357b310bb">00030</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size;
-<a name="l00035"></a><a class="code" href="structSensorMatrix.html#447a6b27943ac53530de1eb44db3b5e6">00035</a>         <span class="keywordtype">int</span>** matrix;
-<a name="l00040"></a><a class="code" href="structSensorMatrix.html#9596130da4ab9251db7c0df33b8053d2">00040</a>         <span class="keywordtype">int</span>* joined;
-<a name="l00044"></a><a class="code" href="structSensorMatrix.html#888d68ace5ba04bfc741241718bc297c">00044</a>         <span class="keywordtype">int</span> numJoined;
-<a name="l00045"></a>00045 } <a class="code" href="structSensorMatrix.html">SensorMatrix</a>;
-<a name="l00046"></a>00046 
-<a name="l00048"></a>00048 <a class="code" href="structSensorMatrix.html">SensorMatrix</a>* <a class="code" href="group__sensormatrix.html#gdac971de8e0df3ed469c1e00b5d68ec3">sensor_matrix_create</a>(<span class="keywordtype">void</span>);
-<a name="l00050"></a>00050 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#g6125c1926243c789c9a22c7b7ca915f7">sensor_matrix_destroy</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m);
-<a name="l00052"></a>00052 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#g4a8cea8d7401802b8ef4f24768671cdb">sensor_matrix_add_robot</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <span class="keywordtype">id</span>);
-<a name="l00054"></a>00054 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#g616455f4c0801504984cc7f7cf49d980">sensor_matrix_remove_robot</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <span class="keywordtype">id</span>);
-<a name="l00056"></a>00056 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#g06977570b0c7b9628caeb5de012bbf22">sensor_matrix_set_reading</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">int</span> observer, <span class="keywordtype">int</span> robot, <span class="keywordtype">int</span> reading);
-<a name="l00058"></a>00058 <span class="keywordtype">int</span> <a class="code" href="group__sensormatrix.html#gf8f7401b00608998b4cca34e3e5690b6">sensor_matrix_get_reading</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">int</span> observer, <span class="keywordtype">int</span> robot);
-<a name="l00060"></a>00060 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#ga2039902278b82d75157f5ce30ba24a3">sensor_matrix_set_in_ring</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">int</span> robot, <span class="keywordtype">int</span> in);
-<a name="l00062"></a>00062 <span class="keywordtype">int</span> <a class="code" href="group__sensormatrix.html#g44d31428ed9c7a0c98e2ecfc74a55469">sensor_matrix_get_in_ring</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">int</span> robot);
-<a name="l00064"></a>00064 <span class="keywordtype">int</span> <a class="code" href="group__sensormatrix.html#g1d799b72ee6274e5064e12e8dd17d493">sensor_matrix_get_size</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m);
-<a name="l00066"></a>00066 <span class="keywordtype">int</span> <a class="code" href="group__sensormatrix.html#g48353450a17126cffa44bd894f087621">sensor_matrix_get_joined</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m);
-<a name="l00067"></a>00067  <span class="comment">//end defgroup</span>
-<a name="l00069"></a>00069 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Mon Sep 24 14:12:30 2007 for libwireless by&nbsp;
+<a name="l00010"></a>00010 <span class="preprocessor">#ifndef SENSOR_MATRIX_H</span>
+<a name="l00011"></a>00011 <span class="preprocessor"></span><span class="preprocessor">#define SENSOR_MATRIX_H</span>
+<a name="l00012"></a>00012 <span class="preprocessor"></span>
+<a name="l00013"></a>00013 
+<a name="l00029"></a><a class="code" href="structSensorMatrix.html">00029</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
+<a name="l00030"></a>00030 <span class="keyword"></span>{
+<a name="l00034"></a><a class="code" href="structSensorMatrix.html#0e5b475c074fee8b4a88f05357b310bb">00034</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size;
+<a name="l00039"></a><a class="code" href="structSensorMatrix.html#447a6b27943ac53530de1eb44db3b5e6">00039</a>         <span class="keywordtype">int</span>** matrix;
+<a name="l00044"></a><a class="code" href="structSensorMatrix.html#9596130da4ab9251db7c0df33b8053d2">00044</a>         <span class="keywordtype">int</span>* joined;
+<a name="l00048"></a><a class="code" href="structSensorMatrix.html#888d68ace5ba04bfc741241718bc297c">00048</a>         <span class="keywordtype">int</span> numJoined;
+<a name="l00049"></a>00049 } <a class="code" href="structSensorMatrix.html">SensorMatrix</a>;
+<a name="l00050"></a>00050 
+<a name="l00052"></a>00052 <a class="code" href="structSensorMatrix.html">SensorMatrix</a>* <a class="code" href="group__sensormatrix.html#gdac971de8e0df3ed469c1e00b5d68ec3">sensor_matrix_create</a>(<span class="keywordtype">void</span>);
+<a name="l00054"></a>00054 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#g6125c1926243c789c9a22c7b7ca915f7">sensor_matrix_destroy</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m);
+<a name="l00056"></a>00056 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#g4a8cea8d7401802b8ef4f24768671cdb">sensor_matrix_add_robot</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <span class="keywordtype">id</span>);
+<a name="l00058"></a>00058 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#g616455f4c0801504984cc7f7cf49d980">sensor_matrix_remove_robot</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <span class="keywordtype">id</span>);
+<a name="l00060"></a>00060 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#g06977570b0c7b9628caeb5de012bbf22">sensor_matrix_set_reading</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">int</span> observer, <span class="keywordtype">int</span> robot, <span class="keywordtype">int</span> reading);
+<a name="l00062"></a>00062 <span class="keywordtype">int</span> <a class="code" href="group__sensormatrix.html#gf8f7401b00608998b4cca34e3e5690b6">sensor_matrix_get_reading</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">int</span> observer, <span class="keywordtype">int</span> robot);
+<a name="l00064"></a>00064 <span class="keywordtype">void</span> <a class="code" href="group__sensormatrix.html#ga2039902278b82d75157f5ce30ba24a3">sensor_matrix_set_in_ring</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">int</span> robot, <span class="keywordtype">int</span> in);
+<a name="l00066"></a>00066 <span class="keywordtype">int</span> <a class="code" href="group__sensormatrix.html#g44d31428ed9c7a0c98e2ecfc74a55469">sensor_matrix_get_in_ring</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m, <span class="keywordtype">int</span> robot);
+<a name="l00068"></a>00068 <span class="keywordtype">int</span> <a class="code" href="group__sensormatrix.html#g1d799b72ee6274e5064e12e8dd17d493">sensor_matrix_get_size</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m);
+<a name="l00070"></a>00070 <span class="keywordtype">int</span> <a class="code" href="group__sensormatrix.html#g48353450a17126cffa44bd894f087621">sensor_matrix_get_joined</a>(<a class="code" href="structSensorMatrix.html">SensorMatrix</a>* m);
+<a name="l00071"></a>00071  <span class="comment">//end defgroup</span>
+<a name="l00073"></a>00073 
+<a name="l00074"></a>00074 
+<a name="l00075"></a>00075 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="align: right;"><small>Generated on Wed Oct 31 17:54:43 2007 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
 </body>