Index: wireless_8h-source.html
===================================================================
--- wireless_8h-source.html	(revision 191)
+++ wireless_8h-source.html	(revision 192)
@@ -18,48 +18,53 @@
     <li><a href="globals.html"><span>Globals</span></a></li>
   </ul></div>
 <h1>wireless.h</h1><a href="wireless_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
-<a name="l00010"></a>00010 <span class="comment">//Note: If this is raised above 16, we will need to do</span>
-<a name="l00011"></a>00011 <span class="comment">//something about frame numbers for TX Status packets.</span>
-<a name="l00015"></a><a class="code" href="wireless_8h.html#f083cc95511287866eeb4337fdc75eeb">00015</a> <span class="comment"></span><span class="preprocessor">#define WL_MAX_PACKET_GROUPS 16</span>
-<a name="l00016"></a>00016 <span class="preprocessor"></span>
-<a name="l00047"></a><a class="code" href="structPacketGroupHandler.html">00047</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
-<a name="l00048"></a>00048 <span class="keyword"></span>{
-<a name="l00054"></a><a class="code" href="structPacketGroupHandler.html#f0849c643f1b1e257ccfe96110109950">00054</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> groupCode;
-<a name="l00055"></a>00055 
-<a name="l00060"></a>00060         void (*timeout_handler) (void);
-<a name="l00061"></a>00061         
-<a name="l00071"></a>00071         void (*handle_response) (<span class="keywordtype">int</span> frame, <span class="keywordtype">int</span> received);
-<a name="l00072"></a>00072         
-<a name="l00082"></a>00082         void (*handle_receive) (<span class="keywordtype">char</span> type, <span class="keywordtype">int</span> source, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* packet,
-<a name="l00083"></a>00083                                                         <span class="keywordtype">int</span> length);
-<a name="l00084"></a>00084         
-<a name="l00088"></a>00088         void (*unregister) (void);
-<a name="l00089"></a>00089         
-<a name="l00090"></a>00090 } <a class="code" href="structPacketGroupHandler.html">PacketGroupHandler</a>;
-<a name="l00091"></a>00091 
-<a name="l00093"></a>00093 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g629ceefdf83847af356d90e2df27041c">wl_init</a>(<span class="keywordtype">void</span>);
-<a name="l00095"></a>00095 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g66075ff87a1c9f2c0d7938a26c7830f2">wl_terminate</a>(<span class="keywordtype">void</span>);
-<a name="l00097"></a>00097 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g5c1f1a0e20fc718e59edc29246afd703">wl_do</a>(<span class="keywordtype">void</span>);
-<a name="l00099"></a>00099 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g183343ed0594ec1c2b79bb4085d57107">wl_register_packet_group</a>(<a class="code" href="structPacketGroupHandler.html">PacketGroupHandler</a>* h);
-<a name="l00101"></a>00101 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#gcdbedf6465798abc7af3bf5fea3d4dd7">wl_unregister_packet_group</a>(<a class="code" href="structPacketGroupHandler.html">PacketGroupHandler</a>* h);
-<a name="l00102"></a>00102 
-<a name="l00104"></a>00104 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#ga7175b13dbfc0b11b341fbe0ad7c637c">wl_send_robot_to_robot_global_packet</a>(<span class="keywordtype">char</span> group, <span class="keywordtype">char</span> type,
-<a name="l00105"></a>00105                 <span class="keywordtype">char</span>* data, <span class="keywordtype">int</span> len, <span class="keywordtype">int</span> dest, <span class="keywordtype">char</span> frame);
-<a name="l00107"></a>00107 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#gafaca74445d215cef2b2e0ae1a1c72ba">wl_send_robot_to_robot_packet</a>(<span class="keywordtype">char</span> group, <span class="keywordtype">char</span> type,
+<a name="l00010"></a>00010 <span class="preprocessor">#ifndef WIRELESS_H</span>
+<a name="l00011"></a>00011 <span class="preprocessor"></span><span class="preprocessor">#define WIRELESS_H</span>
+<a name="l00012"></a>00012 <span class="preprocessor"></span> 
+<a name="l00013"></a>00013 <span class="comment">//Note: If this is raised above 16, we will need to do</span>
+<a name="l00014"></a>00014 <span class="comment">//something about frame numbers for TX Status packets.</span>
+<a name="l00018"></a><a class="code" href="wireless_8h.html#f083cc95511287866eeb4337fdc75eeb">00018</a> <span class="comment"></span><span class="preprocessor">#define WL_MAX_PACKET_GROUPS 16</span>
+<a name="l00019"></a>00019 <span class="preprocessor"></span>
+<a name="l00050"></a><a class="code" href="structPacketGroupHandler.html">00050</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
+<a name="l00051"></a>00051 <span class="keyword"></span>{
+<a name="l00057"></a><a class="code" href="structPacketGroupHandler.html#f0849c643f1b1e257ccfe96110109950">00057</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> groupCode;
+<a name="l00058"></a>00058 
+<a name="l00063"></a>00063         void (*timeout_handler) (void);
+<a name="l00064"></a>00064         
+<a name="l00074"></a>00074         void (*handle_response) (<span class="keywordtype">int</span> frame, <span class="keywordtype">int</span> received);
+<a name="l00075"></a>00075         
+<a name="l00085"></a>00085         void (*handle_receive) (<span class="keywordtype">char</span> type, <span class="keywordtype">int</span> source, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* packet,
+<a name="l00086"></a>00086                                                         <span class="keywordtype">int</span> length);
+<a name="l00087"></a>00087         
+<a name="l00091"></a>00091         void (*unregister) (void);
+<a name="l00092"></a>00092         
+<a name="l00093"></a>00093 } <a class="code" href="structPacketGroupHandler.html">PacketGroupHandler</a>;
+<a name="l00094"></a>00094 
+<a name="l00096"></a>00096 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g629ceefdf83847af356d90e2df27041c">wl_init</a>(<span class="keywordtype">void</span>);
+<a name="l00098"></a>00098 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g66075ff87a1c9f2c0d7938a26c7830f2">wl_terminate</a>(<span class="keywordtype">void</span>);
+<a name="l00100"></a>00100 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g5c1f1a0e20fc718e59edc29246afd703">wl_do</a>(<span class="keywordtype">void</span>);
+<a name="l00102"></a>00102 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g183343ed0594ec1c2b79bb4085d57107">wl_register_packet_group</a>(<a class="code" href="structPacketGroupHandler.html">PacketGroupHandler</a>* h);
+<a name="l00104"></a>00104 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#gcdbedf6465798abc7af3bf5fea3d4dd7">wl_unregister_packet_group</a>(<a class="code" href="structPacketGroupHandler.html">PacketGroupHandler</a>* h);
+<a name="l00105"></a>00105 
+<a name="l00107"></a>00107 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#ga7175b13dbfc0b11b341fbe0ad7c637c">wl_send_robot_to_robot_global_packet</a>(<span class="keywordtype">char</span> group, <span class="keywordtype">char</span> type,
 <a name="l00108"></a>00108                 <span class="keywordtype">char</span>* data, <span class="keywordtype">int</span> len, <span class="keywordtype">int</span> dest, <span class="keywordtype">char</span> frame);
-<a name="l00110"></a>00110 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#gdd534c99c49d5207fe09f02af304c1ad">wl_send_global_packet</a>(<span class="keywordtype">char</span> group, <span class="keywordtype">char</span> type,
-<a name="l00111"></a>00111                 <span class="keywordtype">char</span>* data, <span class="keywordtype">int</span> len, <span class="keywordtype">char</span> frame);
-<a name="l00113"></a>00113 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g0a1a0e4d885f0e0dde87160a16daa0aa">wl_send_pan_packet</a>(<span class="keywordtype">char</span> group, <span class="keywordtype">char</span> type,
+<a name="l00110"></a>00110 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#gafaca74445d215cef2b2e0ae1a1c72ba">wl_send_robot_to_robot_packet</a>(<span class="keywordtype">char</span> group, <span class="keywordtype">char</span> type,
+<a name="l00111"></a>00111                 <span class="keywordtype">char</span>* data, <span class="keywordtype">int</span> len, <span class="keywordtype">int</span> dest, <span class="keywordtype">char</span> frame);
+<a name="l00113"></a>00113 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#gdd534c99c49d5207fe09f02af304c1ad">wl_send_global_packet</a>(<span class="keywordtype">char</span> group, <span class="keywordtype">char</span> type,
 <a name="l00114"></a>00114                 <span class="keywordtype">char</span>* data, <span class="keywordtype">int</span> len, <span class="keywordtype">char</span> frame);
-<a name="l00115"></a>00115 
-<a name="l00117"></a>00117 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g211ccf907dce4493813573e20264e542">wl_set_pan</a>(<span class="keywordtype">int</span> pan);
-<a name="l00119"></a>00119 <span class="keywordtype">int</span> <a class="code" href="group__wireless.html#g4e6b5c97d40a8e7557a1b4b90a7d34f7">wl_get_pan</a>(<span class="keywordtype">void</span>);
-<a name="l00121"></a>00121 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g9aac809e57c9eb93a2905ed544c93aba">wl_set_channel</a>(<span class="keywordtype">int</span> channel);
-<a name="l00123"></a>00123 <span class="keywordtype">int</span> <a class="code" href="group__wireless.html#g2d65d3e35b193da4213755c4bf61ab6b">wl_get_channel</a>(<span class="keywordtype">void</span>);
-<a name="l00125"></a>00125 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="group__wireless.html#g90cb41c855ac3da028e8f1278bd49f4f">wl_get_xbee_id</a>(<span class="keywordtype">void</span>);
-<a name="l00126"></a>00126  <span class="comment">// end defgroup</span>
-<a name="l00128"></a>00128 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Mon Sep 24 14:12:30 2007 for libwireless by&nbsp;
+<a name="l00116"></a>00116 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g0a1a0e4d885f0e0dde87160a16daa0aa">wl_send_pan_packet</a>(<span class="keywordtype">char</span> group, <span class="keywordtype">char</span> type,
+<a name="l00117"></a>00117                 <span class="keywordtype">char</span>* data, <span class="keywordtype">int</span> len, <span class="keywordtype">char</span> frame);
+<a name="l00118"></a>00118 
+<a name="l00120"></a>00120 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g211ccf907dce4493813573e20264e542">wl_set_pan</a>(<span class="keywordtype">int</span> pan);
+<a name="l00122"></a>00122 <span class="keywordtype">int</span> <a class="code" href="group__wireless.html#g4e6b5c97d40a8e7557a1b4b90a7d34f7">wl_get_pan</a>(<span class="keywordtype">void</span>);
+<a name="l00124"></a>00124 <span class="keywordtype">void</span> <a class="code" href="group__wireless.html#g9aac809e57c9eb93a2905ed544c93aba">wl_set_channel</a>(<span class="keywordtype">int</span> channel);
+<a name="l00126"></a>00126 <span class="keywordtype">int</span> <a class="code" href="group__wireless.html#g2d65d3e35b193da4213755c4bf61ab6b">wl_get_channel</a>(<span class="keywordtype">void</span>);
+<a name="l00128"></a>00128 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="group__wireless.html#g90cb41c855ac3da028e8f1278bd49f4f">wl_get_xbee_id</a>(<span class="keywordtype">void</span>);
+<a name="l00129"></a>00129  <span class="comment">// end defgroup</span>
+<a name="l00131"></a>00131 
+<a name="l00132"></a>00132 <span class="preprocessor">#endif</span>
+<a name="l00133"></a>00133 <span class="preprocessor"></span>
+</pre></div><hr size="1"><address style="align: right;"><small>Generated on Wed Oct 31 17:54:43 2007 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
 </body>