Index: wl__defs_8h-source.html
===================================================================
--- wl__defs_8h-source.html	(revision 191)
+++ wl__defs_8h-source.html	(revision 192)
@@ -17,72 +17,80 @@
     <li><a href="files.html"><span>File&nbsp;List</span></a></li>
     <li><a href="globals.html"><span>Globals</span></a></li>
   </ul></div>
-<h1>wl_defs.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">//comment out this line if using a computer hooked up to an xbee</span>
-<a name="l00002"></a>00002 <span class="comment">//#define ROBOT</span>
-<a name="l00003"></a>00003 
-<a name="l00004"></a>00004 <span class="comment">//uncomment this line for debug information</span>
-<a name="l00005"></a>00005 <span class="preprocessor">#define WL_DEBUG</span>
-<a name="l00006"></a>00006 <span class="preprocessor"></span>
-<a name="l00007"></a>00007 <span class="comment">// Packet Groups and Types</span>
-<a name="l00008"></a>00008 
-<a name="l00009"></a>00009 <span class="comment">// Error group</span>
-<a name="l00010"></a>00010 <span class="preprocessor">#define WL_ERROR_GROUP 1</span>
-<a name="l00011"></a>00011 <span class="preprocessor"></span>
-<a name="l00012"></a>00012 <span class="preprocessor">#define WL_ERROR_STRING_TYPE 1</span>
-<a name="l00013"></a>00013 <span class="preprocessor"></span>
-<a name="l00014"></a>00014 <span class="comment">// Token Ring group</span>
-<a name="l00015"></a>00015 <span class="preprocessor">#define WL_TOKEN_RING_GROUP 2</span>
+<h1>wl_defs.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef WL_DEFS_H</span>
+<a name="l00002"></a>00002 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEFS_H</span>
+<a name="l00003"></a>00003 <span class="preprocessor"></span>
+<a name="l00004"></a>00004 <span class="comment">//comment out this line if using a computer hooked up to an xbee</span>
+<a name="l00005"></a>00005 <span class="comment">//#define ROBOT</span>
+<a name="l00006"></a>00006 
+<a name="l00007"></a>00007 <span class="comment">//uncomment this line for debug information</span>
+<a name="l00008"></a>00008 <span class="comment">//#define WL_DEBUG</span>
+<a name="l00009"></a>00009 
+<a name="l00010"></a>00010 <span class="comment">// Packet Groups and Types</span>
+<a name="l00011"></a>00011 
+<a name="l00012"></a>00012 <span class="comment">// Error group</span>
+<a name="l00013"></a>00013 <span class="preprocessor">#define WL_ERROR_GROUP 1</span>
+<a name="l00014"></a>00014 <span class="preprocessor"></span>
+<a name="l00015"></a>00015 <span class="preprocessor">#define WL_ERROR_STRING_TYPE 1</span>
 <a name="l00016"></a>00016 <span class="preprocessor"></span>
-<a name="l00017"></a>00017 <span class="preprocessor">#define WL_TOKEN_PASS 1</span>
-<a name="l00018"></a>00018 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_BOM_ON 2</span>
-<a name="l00019"></a>00019 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_INTERRUPT_REQUEST 3</span>
-<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_INTERRUPT_PASS 4</span>
-<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_JOIN 5</span>
-<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_JOIN_ACCEPT 6</span>
-<a name="l00023"></a>00023 <span class="preprocessor"></span>
-<a name="l00024"></a>00024 <span class="comment">// timing constants</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#define BOM_DELAY 100</span>
-<a name="l00026"></a>00026 <span class="preprocessor"></span><span class="preprocessor">#define DEATH_DELAY 3</span>
-<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define JOIN_DELAY 8</span>
-<a name="l00028"></a>00028 <span class="preprocessor"></span>
-<a name="l00029"></a>00029 <span class="comment">// Recharging group</span>
-<a name="l00030"></a>00030 <span class="preprocessor">#define WL_RECHARGE_GROUP 3</span>
+<a name="l00017"></a>00017 <span class="comment">// Token Ring group</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#define WL_TOKEN_RING_GROUP 2</span>
+<a name="l00019"></a>00019 <span class="preprocessor"></span>
+<a name="l00020"></a>00020 <span class="preprocessor">#define WL_TOKEN_PASS 1</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_BOM_ON 2</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_JOIN 3</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_JOIN_ACCEPT 4</span>
+<a name="l00024"></a>00024 <span class="preprocessor"></span>
+<a name="l00025"></a>00025 <span class="comment">// timing constants</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#ifndef FIREFLY</span>
+<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define BOM_DELAY 100</span>
+<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">#else</span>
+<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define BOM_DELAY 100</span>
+<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
 <a name="l00031"></a>00031 <span class="preprocessor"></span>
-<a name="l00032"></a>00032 <span class="preprocessor">#define WL_RECHARGE_POLL_STATIONS 1</span>
-<a name="l00033"></a>00033 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_STATION_AVAILABLE 2</span>
-<a name="l00034"></a>00034 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_REQUEST 3</span>
-<a name="l00035"></a>00035 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_REQUEST_ACCEPT 4</span>
-<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_VERIFY 5</span>
-<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_CANCEL 6</span>
-<a name="l00038"></a>00038 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_SEEKING 7</span>
-<a name="l00039"></a>00039 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_DOCKED 8</span>
-<a name="l00040"></a>00040 <span class="preprocessor"></span>
-<a name="l00041"></a>00041 <span class="preprocessor">#ifdef WL_DEBUG</span>
-<a name="l00042"></a>00042 <span class="preprocessor"></span>
-<a name="l00043"></a>00043 <span class="preprocessor">#ifdef ROBOT</span>
-<a name="l00044"></a>00044 <span class="preprocessor"></span><span class="preprocessor">#include &lt;serial.h&gt;</span>
-<a name="l00045"></a>00045 <span class="preprocessor">#endif</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#define DEATH_DELAY 4</span>
+<a name="l00033"></a>00033 <span class="preprocessor"></span><span class="preprocessor">#define JOIN_DELAY 8</span>
+<a name="l00034"></a>00034 <span class="preprocessor"></span>
+<a name="l00035"></a>00035 <span class="comment">// Recharging group</span>
+<a name="l00036"></a>00036 <span class="preprocessor">#define WL_RECHARGE_GROUP 3</span>
+<a name="l00037"></a>00037 <span class="preprocessor"></span>
+<a name="l00038"></a>00038 <span class="preprocessor">#define WL_RECHARGE_POLL_STATIONS 1</span>
+<a name="l00039"></a>00039 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_STATION_AVAILABLE 2</span>
+<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_REQUEST 3</span>
+<a name="l00041"></a>00041 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_REQUEST_ACCEPT 4</span>
+<a name="l00042"></a>00042 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_VERIFY 5</span>
+<a name="l00043"></a>00043 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_CANCEL 6</span>
+<a name="l00044"></a>00044 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_SEEKING 7</span>
+<a name="l00045"></a>00045 <span class="preprocessor"></span><span class="preprocessor">#define WL_RECHARGE_DOCKED 8</span>
 <a name="l00046"></a>00046 <span class="preprocessor"></span>
-<a name="l00047"></a>00047 <span class="preprocessor">#ifdef ROBOT</span>
-<a name="l00048"></a>00048 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT( s ) usb_puts( s )</span>
-<a name="l00049"></a>00049 <span class="preprocessor"></span><span class="preprocessor">#else</span>
-<a name="l00050"></a>00050 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT( s ) printf( s )</span>
-<a name="l00051"></a>00051 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00047"></a>00047 <span class="preprocessor">#ifdef WL_DEBUG</span>
+<a name="l00048"></a>00048 <span class="preprocessor"></span>
+<a name="l00049"></a>00049 <span class="preprocessor">#ifdef ROBOT</span>
+<a name="l00050"></a>00050 <span class="preprocessor"></span><span class="preprocessor">#include &lt;serial.h&gt;</span>
+<a name="l00051"></a>00051 <span class="preprocessor">#endif</span>
 <a name="l00052"></a>00052 <span class="preprocessor"></span>
 <a name="l00053"></a>00053 <span class="preprocessor">#ifdef ROBOT</span>
-<a name="l00054"></a>00054 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT_INT( i ) usb_puti(i)</span>
+<a name="l00054"></a>00054 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT( s ) usb_puts( s )</span>
 <a name="l00055"></a>00055 <span class="preprocessor"></span><span class="preprocessor">#else</span>
-<a name="l00056"></a>00056 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT_INT( i ) printf("%i", i)</span>
+<a name="l00056"></a>00056 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT( s ) printf( s )</span>
 <a name="l00057"></a>00057 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
 <a name="l00058"></a>00058 <span class="preprocessor"></span>
-<a name="l00059"></a>00059 <span class="preprocessor">#else</span>
-<a name="l00060"></a>00060 <span class="preprocessor"></span>
-<a name="l00061"></a>00061 <span class="preprocessor">#define WL_DEBUG_PRINT( s )</span>
-<a name="l00062"></a>00062 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT_INT( i )</span>
-<a name="l00063"></a>00063 <span class="preprocessor"></span>
-<a name="l00064"></a>00064 <span class="preprocessor">#endif</span>
-<a name="l00065"></a>00065 <span class="preprocessor"></span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Mon Sep 24 14:12:30 2007 for libwireless by&nbsp;
+<a name="l00059"></a>00059 <span class="preprocessor">#ifdef ROBOT</span>
+<a name="l00060"></a>00060 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT_INT( i ) usb_puti(i)</span>
+<a name="l00061"></a>00061 <span class="preprocessor"></span><span class="preprocessor">#else</span>
+<a name="l00062"></a>00062 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT_INT( i ) printf("%i", i)</span>
+<a name="l00063"></a>00063 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00064"></a>00064 <span class="preprocessor"></span>
+<a name="l00065"></a>00065 <span class="preprocessor">#else</span>
+<a name="l00066"></a>00066 <span class="preprocessor"></span>
+<a name="l00067"></a>00067 <span class="preprocessor">#define WL_DEBUG_PRINT( s )</span>
+<a name="l00068"></a>00068 <span class="preprocessor"></span><span class="preprocessor">#define WL_DEBUG_PRINT_INT( i )</span>
+<a name="l00069"></a>00069 <span class="preprocessor"></span>
+<a name="l00070"></a>00070 <span class="preprocessor">#endif</span>
+<a name="l00071"></a>00071 <span class="preprocessor"></span>
+<a name="l00072"></a>00072 <span class="preprocessor">#endif</span>
+<a name="l00073"></a>00073 <span class="preprocessor"></span>
+</pre></div><hr size="1"><address style="align: right;"><small>Generated on Wed Oct 31 17:54:43 2007 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
 </body>