Index: globals_defs_0x62.html
===================================================================
--- globals_defs_0x62.html	(revision 240)
+++ globals_defs_0x62.html	(revision 241)
@@ -1,27 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>libdragonfly: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="modules.html"><span>Modules</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li id="current"><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="globals.html"><span>All</span></a></li>
     <li><a href="globals_func.html"><span>Functions</span></a></li>
     <li><a href="globals_type.html"><span>Typedefs</span></a></li>
-    <li id="current"><a href="globals_defs.html"><span>Defines</span></a></li>
+    <li class="current"><a href="globals_defs.html"><span>Defines</span></a></li>
   </ul>
 </div>
 <div class="tabs">
@@ -28,7 +31,7 @@
   <ul>
     <li><a href="globals_defs.html#index__"><span>_</span></a></li>
     <li><a href="globals_defs_0x61.html#index_a"><span>a</span></a></li>
-    <li id="current"><a href="globals_defs_0x62.html#index_b"><span>b</span></a></li>
+    <li class="current"><a href="globals_defs_0x62.html#index_b"><span>b</span></a></li>
     <li><a href="globals_defs_0x63.html#index_c"><span>c</span></a></li>
     <li><a href="globals_defs_0x64.html#index_d"><span>d</span></a></li>
     <li><a href="globals_defs_0x65.html#index_e"><span>e</span></a></li>
@@ -57,19 +60,30 @@
 <p>
 <h3><a class="anchor" name="index_b">- b -</a></h3><ul>
 <li>B4
-: <a class="el" href="group__buzzer.html#g0bf59f84e29fb57d27314583365a88d6">buzzer.h</a><li>BACKWARD
-: <a class="el" href="group__motors.html#gdf445abfe1b77fa63f89e315ccc2f7f2">motor.h</a><li>BATT_PORT
-: <a class="el" href="group__analog.html#gadcd026a2c91fe96c8134619c87bb72a">analog.h</a><li>BATTERY_CHARINGV
-: <a class="el" href="group__battery.html#gc955a8295474a62e5faeaf28abf89c6b">battery.h</a><li>BATTERY_LOWV
-: <a class="el" href="group__battery.html#gb23d2e4155f65f05628d1b48430c6b18">battery.h</a><li>BATTERY_NORMALV
-: <a class="el" href="group__battery.html#g8d3e83b7f2ff00064ba16519d1589cfd">battery.h</a><li>BCK
-: <a class="el" href="group__move.html#gb8d9d2e1ff6a03ce3b45a32e0002a405">move.h</a><li>BLUE
-: <a class="el" href="group__orbs.html#g79d10e672abb49ad63eeaa8aaef57c38">lights.h</a><li>BTN1
-: <a class="el" href="group__dio.html#g3a4cc5e218cef7de139625a519e29ff3">dio.h</a><li>BTN2
-: <a class="el" href="group__dio.html#g9dc19cdd6944e087c077044296a1ad8e">dio.h</a><li>BUZZER
-: <a class="el" href="group__dragonfly.html#g145103118f6d9d1129aa4509cf214a13">dragonfly_lib.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Wed Sep 26 17:39:31 2007 for libdragonfly by&nbsp;
+: <a class="el" href="group__buzzer.html#g0bf59f84e29fb57d27314583365a88d6">buzzer.h</a>
+<li>BACKWARD
+: <a class="el" href="group__motors.html#gdf445abfe1b77fa63f89e315ccc2f7f2">motor.h</a>
+<li>BATT_PORT
+: <a class="el" href="group__analog.html#gadcd026a2c91fe96c8134619c87bb72a">analog.h</a>
+<li>BATTERY_CHARINGV
+: <a class="el" href="group__battery.html#gc955a8295474a62e5faeaf28abf89c6b">battery.h</a>
+<li>BATTERY_LOWV
+: <a class="el" href="group__battery.html#gb23d2e4155f65f05628d1b48430c6b18">battery.h</a>
+<li>BATTERY_NORMALV
+: <a class="el" href="group__battery.html#g8d3e83b7f2ff00064ba16519d1589cfd">battery.h</a>
+<li>BCK
+: <a class="el" href="group__move.html#gb8d9d2e1ff6a03ce3b45a32e0002a405">move.h</a>
+<li>BLUE
+: <a class="el" href="group__orbs.html#g79d10e672abb49ad63eeaa8aaef57c38">lights.h</a>
+<li>BTN1
+: <a class="el" href="group__dio.html#g3a4cc5e218cef7de139625a519e29ff3">dio.h</a>
+<li>BTN2
+: <a class="el" href="group__dio.html#g9dc19cdd6944e087c077044296a1ad8e">dio.h</a>
+<li>BUZZER
+: <a class="el" href="group__dragonfly.html#g145103118f6d9d1129aa4509cf214a13">dragonfly_lib.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Thu Nov 8 23:15:40 2007 for libdragonfly by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>